package com.jxy.marketall.enums;

public enum MacroeconomicsRedisName {

    MONEY_STOCK_MEASURES_ADJUSTED("MoneyStockMeasures", "adjustedM1,adjustedM2","AdjustedMoneyStockMeasuresList"),
    MONEY_STOCK_MEASURES_NOT_ADJUSTED("MoneyStockMeasures", "notAdjustedM1,notAdjustedM2,monetaryBase","NotAdjustedMoneyStockMeasuresList"),
    LOAN_PSI("Loan", "PSI","LoanPSIList"),
    LOAN_FDHBPI_GDP("Loan", "FDHBPI_GDP","LoanFDHBPIGDPList"),
    WEI("WEI", "WEI","WeeklyEconomicIndexList"),
    GDP_NEW("GDPTABLE", "MIX","NewGDPList");

    private final String table;
    private final String filed;
    private final String key;

    MacroeconomicsRedisName(String table, String filed, String key) {
        this.table = table;
        this.filed = filed;
        this.key = key;
    }


    public String getTable()
    {
        return table;
    }

    public String getFiled()
    {
        return filed;
    }

    public String getKey()
    {
        return key;
    }
}
